Bug 245986 - x11-toolkits/plasma5-kdeplasma-addons: Fix "System Load Viewer" plasmoid
Summary: x11-toolkits/plasma5-kdeplasma-addons: Fix "System Load Viewer" plasmoid
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: kde
URL:
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2020-04-27 23:04 UTC by Dmitri Goutnik
Modified: 2020-05-21 18:19 UTC (History)
2 users (show)

See Also:
tcberner: maintainer-feedback+


Attachments
patch file (3.32 KB, patch)
2020-04-27 23:04 UTC, Dmitri Goutnik
tcberner: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitri Goutnik freebsd_committer 2020-04-27 23:04:32 UTC
Created attachment 213874 [details]
patch file

- Fix stuck CPU Monitor bar. It was updated only after "cpu/system/iowait" metric was read and because this metric is not available on FreeBSD, the bar was stuck on initial value.

- Fix plasmoid tooltip, it was erroring out on reading non-existing "mem/cache/dirty" and "mem/cache/writeback" metrics.
Comment 1 Automation User 2020-05-12 21:47:44 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/144970487
Comment 2 Tobias C. Berner freebsd_committer 2020-05-13 12:05:15 UTC
Moin oin

Sorry for not responding earlier, a bit busy ATM :)

I think this should also be upstreamed.


mfg Tobias
Comment 3 Tobias C. Berner freebsd_committer 2020-05-16 17:32:31 UTC
Comment on attachment 213874 [details]
patch file

Please make sure it is still working against the current version, and then feel free to ship it :)
Comment 4 commit-hook freebsd_committer 2020-05-21 18:18:15 UTC
A commit references this bug:

Author: dmgk
Date: Thu May 21 18:18:11 UTC 2020
New revision: 536140
URL: https://svnweb.freebsd.org/changeset/ports/536140

Log:
  x11-toolkits/plasma5-kdeplasma-addons: Fix "System Load Viewer" plasmoid on FreeBSD

  - Fix stuck CPU Monitor bar. It was updated only after "cpu/system/iowait"
    metric was read and because this metric is not available on FreeBSD, the bar
    was stuck on initial value.

  - Fix plasmoid tooltip, it was erroring out on reading non-existing
    "mem/cache/dirty" and "mem/cache/writeback" metrics.

  PR:		245986
  Approved by:	tcberner (kde)

Changes:
  head/x11-toolkits/plasma5-kdeplasma-addons/Makefile
  head/x11-toolkits/plasma5-kdeplasma-addons/files/
  head/x11-toolkits/plasma5-kdeplasma-addons/files/patch-applets_systemloadviewer_package_contents_ui_SystemLoadViewer.qml
Comment 5 Dmitri Goutnik freebsd_committer 2020-05-21 18:19:54 UTC
Committed, thanks for the approval. I'm not sure this is upstreamable because these fixes are FreeBSD-specific.